<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcNewCamera Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcNewCamera.html">iPcNewCamera</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#aa0df564424e41b7a1cba482cf3fd8c0e">AttachCameraMode</a>(iCelCameraMode *mode)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a7f4d054a1273a039776a1e896e5242eb">AttachCameraMode</a>(CEL_CAMERA_MODE modetype)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a1ecf6110cb5969b50ead9ea468558cd3">DetectCollisions</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ae183982b9beb1b2139f7580cdbd2f33d">DisableDistanceClipping</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a6606a8da72c7af93984b4fa974c5ad18">Draw</a>()=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab5c71dc2df46fba42939d3fea00a969c">EnableAdaptiveDistanceClipping</a>(float min_fps, float max_fps, float min_dist)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a4b23f8eff6214de96c45213625f55c94">EnableFixedDistanceClipping</a>(float dist)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ac701d72bb28b837c9aba6560b5ff0072">GetAdaptiveMaxFPS</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a24b5f01457a4453c2c353086e2680e94">GetAdaptiveMinDistance</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0c7a4bdb265db3c57fb9ac1c9cf595dc">GetAdaptiveMinFPS</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a1af9a0c4a460d1781a070d0d35806165">GetBaseDir</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a3c6c26de11441455eb6614809100ab94">GetBaseOrigin</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a630158c8800e06ebf969fce45b20822a">GetBasePos</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a40bb9f23b883c4f82bbd43d476963304">GetBaseTrans</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ac9241773e13bfdb33e1bd3f74bf85615">GetBaseUp</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab78ef09e09cc2c03e0c8560921ecc2e2">GetCamera</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a813867df8e40e6cd1fd86800bcdf0aa0">GetCameraMode</a>(int idx=-1)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#aa04779c151ea489fe8f046b7c1b646b8">GetClearScreen</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a264ed335bb9f38562cb9f10be704fb83">GetClearZBuffer</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a07c9b66a6fbb4a448191c001317245d6">GetCollisionAvoidanceInterpolation</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a14827eff0353d9c001d3d48cdf8b1d49">GetCollisionAvoidanceRadiusSq</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a2cb5951491b979d02687163e60d28f47">GetCollisionCorrection</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a34894a8abad12faa7be0783b230f1996">GetCollisionDetection</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#aa482e4b15174c03a316148d07aa3f699">GetCollisionSpringCoefficient</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a9df168f220740b03e5c004398d1f76af">GetCollisionYAvoidance</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#abb8c1e763a4e647e3c2485a5435507a5">GetCollisionYFocusOffset</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a0670deb442ded4f73935bd8021cda342">GetCurrentCameraMode</a>()=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a2b6ac4c12fa4d7429dd75ce1a8266260">GetCurrentCameraModeIndex</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#af7a386dc347bba63a79cc0f53c671497">GetDrawFlags</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0041a68464d819fc859febb39e14b847">GetFixedDistance</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a3ef8b29f580ba0c167794022ee420ad1">GetOrigin</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a957d4eb36ac20c5b64cf6c418212036e">GetOriginSpringCoefficient</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ad825a452433d9a47384633114fbaf5e0">GetPos</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ae6ac3cbf6ccb0db1651028ddaa344d0d">GetSpringCoefficient</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#acdbd2379316db3c5e891f8d6d4805a19">GetTarget</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a1274e2782190ba95d385151a45054a60">GetTargetSpringCoefficient</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a22fb85b72f01ff79cc69007119ef8490">GetTransform</a>()=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a06f696664f9137f199b218875cd071ea">GetTransitionCutoffOriginDistance</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#afbf821620be2209fae7342e489a266a6">GetTransitionCutoffPosDistance</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ab4d30909bbf6d9129b48951fa983c14a">GetTransitionCutoffTargetDistance</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a39afc5f96614368c74480b335ffd6ebf">GetTransitionSpringCoefficient</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#abff38634e9482b01de7855ed3ab61771">GetTransitionTime</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a7cb690a10297d3d15b52c495fe03b94c">GetUp</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a715bae5190e2ac85e4c941097ac1f5c7">GetUpSpringCoefficient</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a366442a0a6d366f7a6e69d7da85fc9a3">GetView</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a3a52b2b2bbf6da5101a03c41f9b32076">InCameraTransition</a>() const =0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a943b936d459ee16d1b94b7d46745f4eb">NextCameraMode</a>()=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a52765a114a0a0f671a19c6d3b35d7729">PrevCameraMode</a>()=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a9b32042ddfc5ba593bb02bc4203fd2d3">QueryModeInterface</a>(int idx=-1)</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#aabd701d15f17be60c7fb8442b8531800">Reset</a>()=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ac98cb5337f0ab6b454cf41abb2b7fdce">SetAutoDraw</a>(bool auto_draw)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a06e58c03322deb1081d8f8fb28fc9a27">SetCameraPositionOffset</a>(const csVector3 &amp;offset)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a04ecb72332e8f5dcefe14c906e5d5b18">SetClearScreen</a>(bool flag)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ae4eb456aa5a4e4130ac5b623229eda2f">SetClearZBuffer</a>(bool flag)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#af3784fb682300728ae2ddc05273991e4">SetCollisionAvoidanceInterpolation</a>(float aint)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ae2a006804b18791cefacb358ef4296e3">SetCollisionAvoidanceRadiusSq</a>(float radsq)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a1fd85f053c5805d742224bdd1617f3a8">SetCollisionCorrection</a>(float corr)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a9e5dc22962c0cf4fb801c14db7173960">SetCollisionDetection</a>(bool detectCollisions)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ad7307143efe9064a91f2432471e0263b">SetCollisionSpringCoefficient</a>(float springCoef)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ab2de3d3e88b2a5575922643c7f246885">SetCollisionYAvoidance</a>(float yavoid)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a001f3844ab7dcb6a9022376419ec1746">SetCollisionYFocusOffset</a>(float yoff)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a961145734074a0695ca120390b6145b5">SetCurrentCameraMode</a>(size_t modeIndex)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ad59cfdb4e58b0fb8c26816a5c4feb378">SetOriginSpringCoefficient</a>(float springCoef)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a3425e79f177dd31ac911b954fc573264">SetPerspectiveCenter</a>(float x, float y)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#adaf1e44481d8ee79fc2decb9fdee3a30">SetPositionOffset</a>(const csVector3 &amp;offset)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a3bbe75cada613b1275dcdd82969c7363">SetRectangle</a>(int x, int y, int w, int h)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a4c06211ea06eace5391548d269bb3e21">SetRegion</a>(iPcRegion *region, bool point=true, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a16e6dd536e977364522107d41bb2f65d">SetSpringCoefficient</a>(float springCoef)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ab7136f90aaf94bea49d88c22b1d4989e">SetTargetMinimumOffset</a>(float minoff)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#ad8ddb34c505409b726711b362a56297f">SetTargetPositionOffset</a>(const csVector3 &amp;offset)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#a7763e080053aead3ebb3ac1f47af794d">SetTargetSpringCoefficient</a>(float springCoef)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#adde380bd6f7a4c25621a9eba40ecdb38">SetTransitionCutoffDistance</a>(float cutOffOriginDist, float cutOffTargetDist)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#afd9d916f3009e84c849072bb4630f8ab">SetTransitionSpringCoefficient</a>(float springCoef)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#abc58148144d91475d08ba9cdcc27aab3">SetTransitionTime</a>(float time)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcNewCamera.html#aa587dc1874a7d4a7aab5c7c14f7511f1">SetUpSpringCoefficient</a>(float springCoef)=0</td><td><a class="el" href="structiPcNewCamera.html">iPcNewCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a24ab3c2bc15ec89e66271f8090449210">SetZoneManager</a>(iPcZoneManager *zonemgr, bool point, const char *regionname, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0d73d05fd1e708611e2a4f146712f3b5">SetZoneManager</a>(const char *entityname, bool point, const char *regionname, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab7113f961b2aebee0108e8cd6a15663d">UpdateCamera</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#adc6b621187072bac9875304b6d48a719">UseDistanceClipping</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a288fcaa10a1e34f73b3e67cf16414144">UseFixedDistanceClipping</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
